import { configureAxios, request } from "../requests"

export const getPolochons = () => request(
  "PUBLIC_POLOCHON_LIST_FETCH",
  configureAxios().get("/polochons"),
)

export const getManagedPolochons = () => request(
  "MANAGED_POLOCHON_LIST_FETCH",
  configureAxios().get("/users/polochons"),
)

export const addPolochon = (params) => request(
  "ADD_POLOCHON",
  configureAxios().post("/polochons", params),
  [
    () => getManagedPolochons(),
  ],
)

export const updatePolochon = ({ id, ...params }) => request(
  "UPDATE_POLOCHON",
  configureAxios().post(`/polochons/${id}`, params),
  [
    () => getManagedPolochons(),
  ],
)

export const deletePolochon = (id) => request(
  "UPDATE_POLOCHON",
  configureAxios().delete(`/polochons/${id}`),
  [
    () => getManagedPolochons(),
  ],
)
